using RyzStudio.Windows.ThemedForms;
using System;

namespace FizzyLauncher
{
    public class NewForm : TDialogForm
    {
        private System.Windows.Forms.Label label1;
        private TButton button1;
        private TNumericBox numericBox1;
        private RyzStudio.Windows.Forms.THorizontalSeparator tHorizontalSeparator1;


        public NewForm(MainForm parent) : base()
        {
            InitializeComponent();

            parentForm = parent;

            numericBox1.Minimum = 4;
            numericBox1.Maximum = 24;
            numericBox1.Value = 6;
        }

        private void InitializeComponent()
        {
            this.label1 = new System.Windows.Forms.Label();
            this.button1 = new RyzStudio.Windows.ThemedForms.TButton();
            this.tHorizontalSeparator1 = new RyzStudio.Windows.Forms.THorizontalSeparator();
            this.numericBox1 = new RyzStudio.Windows.ThemedForms.TNumericBox();
            this.SuspendLayout();
            //
            // label1
            //
            this.label1.AutoSize = true;
            this.label1.BackColor = System.Drawing.Color.Transparent;
            this.label1.ForeColor = System.Drawing.SystemColors.ControlText;
            this.label1.Location = new System.Drawing.Point(10, 21);
            this.label1.Margin = new System.Windows.Forms.Padding(0);
            this.label1.Name = "label1";
            this.label1.Padding = new System.Windows.Forms.Padding(0, 9, 0, 10);
            this.label1.Size = new System.Drawing.Size(137, 34);
            this.label1.TabIndex = 153;
            this.label1.Text = "Number of Tiles Per Row";
            this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            //
            // button1
            //
            this.button1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
            this.button1.BackColor = System.Drawing.Color.Transparent;
            this.button1.IdleImage = null;
            this.button1.ActiveImage = null;
            this.button1.LabelText = "&Save";
            this.button1.Location = new System.Drawing.Point(241, 109);
            this.button1.Margin = new System.Windows.Forms.Padding(10);
            this.button1.Name = "button1";
            this.button1.HoverImage = null;
            this.button1.Padding = new System.Windows.Forms.Padding(4, 4, 3, 3);
            this.button1.Size = new System.Drawing.Size(128, 32);
            this.button1.TabIndex = 173;
            this.button1.Click += new System.EventHandler(this.button1_Click);
            //
            // tHorizontalSeparator1
            //
            this.tHorizontalSeparator1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)
            | System.Windows.Forms.AnchorStyles.Right)));
            this.tHorizontalSeparator1.AutoScrollMargin = new System.Drawing.Size(0, 0);
            this.tHorizontalSeparator1.AutoScrollMinSize = new System.Drawing.Size(0, 0);
            this.tHorizontalSeparator1.BackColor = System.Drawing.Color.Transparent;
            this.tHorizontalSeparator1.Location = new System.Drawing.Point(10, 77);
            this.tHorizontalSeparator1.Margin = new System.Windows.Forms.Padding(10, 0, 10, 0);
            this.tHorizontalSeparator1.MaximumSize = new System.Drawing.Size(4920, 2);
            this.tHorizontalSeparator1.MinimumSize = new System.Drawing.Size(0, 22);
            this.tHorizontalSeparator1.Name = "tHorizontalSeparator1";
            this.tHorizontalSeparator1.Padding = new System.Windows.Forms.Padding(0, 10, 0, 10);
            this.tHorizontalSeparator1.Size = new System.Drawing.Size(364, 22);
            this.tHorizontalSeparator1.TabIndex = 188;
            //
            // numericBox1
            //
            this.numericBox1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.numericBox1.BackColor = System.Drawing.Color.Transparent;
            this.numericBox1.Font = new System.Drawing.Font("Segoe UI", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point);
            this.numericBox1.Location = new System.Drawing.Point(285, 20);
            this.numericBox1.Margin = new System.Windows.Forms.Padding(10, 6, 10, 6);
            this.numericBox1.Name = "numericBox1";
            this.numericBox1.Padding = new System.Windows.Forms.Padding(8, 8, 7, 7);
            this.numericBox1.Size = new System.Drawing.Size(84, 34);
            this.numericBox1.AcceptButton = null;
            this.numericBox1.TabIndex = 189;
            this.numericBox1.Value = 0;
            //
            // NewForm
            //
            this.AutoScaleDimensions = new System.Drawing.SizeF(7F, 15F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(384, 161);
            this.Controls.Add(this.numericBox1);
            this.Controls.Add(this.tHorizontalSeparator1);
            this.Controls.Add(this.button1);
            this.Controls.Add(this.label1);
            this.MinimumSize = new System.Drawing.Size(400, 200);
            this.Name = "NewForm";
            this.Text = "New";
            this.ResumeLayout(false);
            this.PerformLayout();

        }


        public MainForm parentForm { get; set; } = null;


        private void button1_Click(object sender, EventArgs e)
        {
            if (parentForm != null)
            {
                parentForm.Clear(numericBox1.Value);
            }

            this.Close();
        }

    }
}